#ifndef H_COMMON
#define H_COMMON

#define QNAME_SIZE 128

struct dnshdr {
    uint16_t transactionID;
    uint16_t flags;
    uint16_t nbQuestions;
    uint16_t nbAnswerRRs;
    uint16_t nbAuthorityRRs;
    uint16_t nbAdditionalRRs;
};

struct dns_query {
    char *name;
    uint16_t type;
    uint16_t class;
//    struct dns_query    *next;
};

struct event {
    uint32_t saddr;
    int dport;
    int sport;
    char qname[QNAME_SIZE];
    int class;
    int type;
};

#endif
